<mat-toolbar id="mainToolbar" color="primary" style="background-color: black">
  <!-- <mat-icon
    (click)="onToolbarMenuToggle()"
    id="toolbarMenu"
    style="color: 1e139d"
    >subject</mat-icon
  > -->
  FactoryPRO PMS
  <span class="toolbar-spacer"></span>
</mat-toolbar>

<mat-sidenav-container id="sidenavContainer" fullscreen>
  <mat-sidenav
    style="background-color: black; width: 70px"
    mode="side"
    #sidenav
    id="sidenav"
    [class.menu-open]="isMenuOpen"
    [class.menu-close]="!isMenuOpen"
    opened
  >
    <!-- sidebar menu selector -->
    <app-sidebar></app-sidebar>
  </mat-sidenav>

  <mat-sidenav-content [ngStyle]="{ 'margin-left.px': contentMargin }">
    <!-- content loads here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
